#ifndef __ETH_PROP_H__
#define __ETH_PROP_H__

#include "prot_hdr.h"
//  

#ifdef __ETH_PROP_H__
//-----------------------------------------------------------------------------
//  MAC  
static TEthAddr EthernetMAC 		= {{0x34, 0x12, 0x78, 0x56 ,0xBC, 0x9A}};
//  MAC 
static TEthAddr	EthernetBroadcast 	= {{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF}};
//  MAC 
static TEthAddr EthernetZero 		= {{0x00, 0x00, 0x00, 0x00, 0x00, 0x00}}; 

//-----------------------------------------------------------------------------
//  IP  
static TIP4Addr EthernetIP 	= 	{{169, 254, 254, 172}};
//  
static TIP4Addr SubNetMask 	= 	{{255, 255, 0, 0}};
//  
static TIP4Addr Gateway 	=	{{169, 254, 254, 1}};
//  
static TIP4Addr IP_NULL 	=	{{0, 0, 0, 0}};
//-----------------------------------------------------------------------------
//  
static unsigned short UDPPort = 12355;
#endif

#endif
