#ifndef __DISP_H__
#define __DISP_H__

//  - ,   , ????!!!!
#define __MT12864J__
//#define __HY28B__
//#define __JDT1800__

void disp_Init(void);
void disp_LedOn(void);
void disp_LedOff(void);
void disp_ClearFull(void);
void disp_ClearRegion(unsigned short x, unsigned short y, unsigned short cx, unsigned short cy);
void disp_ShowByte(unsigned short x, unsigned short y, unsigned char ch);
void disp_ShowChar(unsigned short x, unsigned short y, unsigned char ch);
void disp_ShowCharEx(unsigned short x, unsigned short y, unsigned char ch, unsigned char blink);
void disp_ShowStr(unsigned short x, unsigned short y, char* str);

unsigned short disp_XSize(void);
unsigned short disp_YSize(void);

void disp_CharPosition(int x, int y, int* xch, int* ych);
unsigned short disp_XPixel(void);
unsigned short disp_YPixel(void);

#endif
