#ifndef __I2C__
#define __I2C__



typedef unsigned char uint8_t;
//typedef char int8_t;
typedef unsigned short uint16_t;
typedef short int16_t;
typedef unsigned int uint32_t;
typedef int int32_t;
	

void i2c_init(void);
void i2c_start(void);
void i2c_stop(void);

unsigned char mcu_i2c_write_byte(uint8_t device_address, uint8_t lpdata1);
void mcu_i2c_write_two_byte (uint8_t device_address, uint8_t lpdata1, uint8_t lpdata2);
uint8_t mcu_i2c_read_byte(void);
unsigned char mcu_i2c_write(uint8_t device_address);
void is_there_error (void);
void i2c_start_read(void);
unsigned short mcu_i2c_read_Int(uint8_t device_address, uint8_t lpdata1);
void mcu_i2c_read_len(uint8_t device_address, uint8_t reg, uint8_t dataRead[3], uint8_t len);
uint8_t i2c_wr_U8(uint8_t byte);
uint8_t i2c_rd_U8(uint8_t ack);
#endif
