#include "multiplexer.h"
#include "MDR32F9Qx_port.h"
#include "MDR32F9Qx_rst_clk.h"

void multiplexer_Init(void)
{					

	PORT_InitTypeDef PORT_InitStructure;
	
	RST_CLK_PCLKcmd(RST_CLK_PCLK_PORTE, ENABLE);	

	
	PORT_InitStructure.PORT_OE = PORT_OE_OUT;
	PORT_InitStructure.PORT_FUNC = PORT_FUNC_PORT;
	PORT_InitStructure.PORT_MODE = PORT_MODE_DIGITAL;
	PORT_InitStructure.PORT_SPEED = PORT_SPEED_MAXFAST;
	
	PORT_InitStructure.PORT_Pin = (PORT_Pin_11 | PORT_Pin_12 | PORT_Pin_13 | PORT_Pin_14 | PORT_Pin_15);	
	PORT_Init(MDR_PORTE, &PORT_InitStructure);	
	
}

void multi_CS (unsigned char state)
{
			PORT_WriteBit(MDR_PORTE, PORT_Pin_15, state ? Bit_SET : Bit_RESET);	
}

void multi_Write(unsigned char A3, unsigned char A2, unsigned char A1, unsigned char A0)
{
			MULTI_CS_LOW;
			PORT_WriteBit(MDR_PORTE, PORT_Pin_11, A0 ? Bit_SET : Bit_RESET);
	
			PORT_WriteBit(MDR_PORTE, PORT_Pin_12, A1 ? Bit_SET : Bit_RESET);
		
			PORT_WriteBit(MDR_PORTE, PORT_Pin_13, A2 ? Bit_SET : Bit_RESET);
		
			PORT_WriteBit(MDR_PORTE, PORT_Pin_14, A3 ? Bit_SET : Bit_RESET);	
}
