#ifndef __MULTIPLEXER__
#define __MULTIPLEXER__


void multi_CS (unsigned char state);
void multi_Write(unsigned char A3, unsigned char A2, unsigned char A1, unsigned char A0);
void multiplexer_Init(void);

#define MULTI_CS_LOW				multi_CS(0)											// Enables multiplexor
#define MULTI_CS_HIGH				multi_CS(1)											// Sets all pins HIGH
#define COMPASS_CS					multi_Write(0,1,0,1)						
#define EEPROM_CS						multi_Write(0,1,1,0)			//M95M02
#define FRAM_CS							multi_Write(0,1,1,1)			//FM25V10-G
#define MICROSD_CS					multi_Write(1,0,0,0)
#define MRAM_CS							multi_Write(1,0,0,1)			//MR25H10CDF
#define PRESSURE_CS					multi_Write(1,0,1,0)			//BMP085
#define FLASH_CS						multi_Write(1,0,1,1)			//M25P128
#define EXPANDER_CS					multi_Write(1,1,0,0)			//MCP23s18
#define X15									multi_Write(1,1,1,0)			//Test
#define X16									multi_Write(1,1,1,1)			//Test


#endif
