#include <string.h>
#include "itmr.h"
#include "console.h"
#include "wnds.h"
#include "disp.h"
#include "button.h"
#include "keyboard.h"
#include "wnds_func.h"
#include "sflash.h"
#include "disp.h"
#include "spi.h"

static unsigned short CurXPos, CurYPos;
static unsigned char pbuf[255], i = 0;

static bool EventProc(unsigned int code, unsigned int data);

static TWnd Wnd = { WID_RD_PAGE, 0, EventProc, 0 };

static bool EventProc(unsigned int code, unsigned int data)
{	
	switch (code) {
    case WE_DRAW:
      if (data == 0) {
				i=0;
				while (pbuf[i] < 255 && i < 255) {
					if(CurYPos >= disp_YSize()) CurYPos = 1;
					else{
						if(CurXPos >= disp_XSize() - 1) {
							CurXPos = 0;
							CurYPos++;
						}
					}							
					disp_ShowChar(CurXPos, CurYPos, (unsigned char)(pbuf[i] & 0xFF));			
					CurXPos++;
					i++;
				}
      }
			
			
      break;   
		case WE_BUTTON:
			switch(data){
				case LEFT:
					console_CloseWnd(0);
					break;
				default:
					break;
			}
			break;
					
		case WE_KEYS:		
			switch(data){
				case KEY_ESC:
					console_CloseWnd(0);
					break;
				default:
					
					break;
			}
			break;				
  }

  return true;
}

void wnd_read_page(unsigned char address)
{ 
	CurXPos = 0;
	CurYPos = 1;	
			#ifndef __MT12864J__
					spi_Init();
					#endif	
	sFLASH_ReadBuffer(pbuf, address, 255);
		#ifndef __MT12864J__
						spi_DeInit();
						#endif
  console_OpenWnd(&Wnd);
}
