#ifndef __ETH_DRV_H__
#define __ETH_DRV_H__

typedef struct{
	unsigned char speed;
	unsigned char mac[6];
	unsigned char ip[4];
	unsigned char mask[4];
	unsigned char gateway[4];
} TEthSettings;

//    
char HasMessage(void);
void ethernet_PHYInit(unsigned char addr, unsigned char mode);
void ethernet_PHYState(void);
void ethernet_MACConfig(void);
void ethernet_MACReset(void);
unsigned int ethernet_ReadRAM(void* buf);
unsigned int ethernet_WriteRAM(void* buf, unsigned int size);

void ethernet_GetSettings(TEthSettings* settings);
void ethernet_SetSettings(TEthSettings* settings);

#endif
