#ifndef __JDT1800_H__
#define __JDT1800_H__

#define RED  		0xF800
#define GREEN		0x07E0
#define BLUE 		0x001F
#define WHITE		0xFFFF
#define BLACK		0x0000
#define YELLOW  0xFFE0
#define GRAY0   0xEF7D   	
#define GRAY1   0x8410      	
#define GRAY2   0x4208

#define ROW_SIZE	128
#define COL_SIZE	160

#define LARGE_FONT_ROW	11
#define LARGE_FONT_COL	8

void jdt1800_Init(void);
void jdt1800_Point(unsigned char x, unsigned char y, unsigned int color);
void jdt1800_PrintByte(unsigned char x, unsigned char y, unsigned char byte, unsigned int color);
void jdt1800_PrintLargeChar(unsigned char x0, unsigned char y0, unsigned char ch, unsigned short color);
void jdt1800_PrintLargeString(unsigned char x0, unsigned char y0, unsigned char* str, unsigned int color);
void jdt1800_ClearRegion(unsigned char x, unsigned char y, unsigned char xc, unsigned char yc);
void jdt1800_ClearFull(void);
void jdt1800_PrintLargeBuf(	unsigned char x0, unsigned char y0, 
														unsigned char* buf, unsigned int buf_size, 
														unsigned int color);

#endif
