#include <string.h>
#include "itmr.h"
#include "console.h"
#include "wnds.h"

BEGIN_WE_TABLE(ElemTable)	  
	DEFINE_WE(WET_BUTTON,   0, 0, 0, "", 0)
	DEFINE_WE(WET_BUTTON,		0, 1, 0, "", 0)  		
END_WE_TABLE()

static bool EventProc(unsigned int code, unsigned int data);

static TWnd Wnd = { WID_PS2, ElemTable, EventProc, 0 };

static bool EventProc(unsigned int code, unsigned int data)
{
  switch (code) {
    case WE_DRAW:
      if (data == 0) {

      }
      break;   
		case WE_ELEM_ACT:
			switch(Wnd.cur_elem){
				case 0:				
					wnd_Keyboard();
					return false;
				case 1:				
					wnd_Mouse();
					return false;
				default:
					break;
			}
			break;
  }

  return false;
}

void wnd_PS2(void)
{ 
  console_OpenWnd(&Wnd);
}
