#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include "itmr.h"
#include "console.h"
#include "wnds.h"
#include "disp.h"
#include "keyboard.h"
#include "button.h"
#include "can.h"
#include "nand_flash.h"
#include "uart.h"
#define NF_data_size NF_PageSize + 64
#define NF_PageSize 2048
#define block 1
#define page  1

unsigned char NF_mem_data[NF_data_size];
unsigned int i = 0 ;
unsigned char generated_num = 0;

BEGIN_WE_TABLE(ElemTable)
	DEFINE_WE(WET_BUTTON,   0, 4, 0, "Write Data", 0)
END_WE_TABLE()

static unsigned int ShowTimer;
static bool EventProc(unsigned int code, unsigned int data);

static TWnd Wnd = { WID_NAND, ElemTable, EventProc, 0 };

static bool EventProc(unsigned int code, unsigned int data)
{ char buffer[32];
	unsigned int id[5];
	unsigned int read_status;
	unsigned int read_id;
		  
	
	switch (code) {
    case WE_DRAW:
      if (data == 0) {
				disp_ShowStr(0, 0, "NAND FLASH");
			sprintf(buffer, "NF DATA: %d", NF_mem_data[0]);
			disp_ShowStr(0, 5, buffer);
			//	disp_ShowStr(0, 1, write_id);
			//	disp_ShowStr(0, 2, "Tx: ");
			//	disp_ShowStr(0, 3, "?????.????? ?????????");
			//	disp_ShowStr(0, 4, "Rx: ");			
      }
      break;   
		case WE_BUTTON:
			switch(data){
				case LEFT:
					console_CloseWnd(0);
					break;
				case SELECT:
					{		
				
						for(i = 0; i < NF_data_size; i++)
							{
								NF_mem_data[i] = i*2;
							}
				//NF_mem_data[10] = generated_num;
				nand_flash_BlockErase(block);				
				
			read_id = nand_flash_ReadID();	
			sprintf(buffer, "FLASH ID: %x", read_id);
			disp_ShowStr(0, 1, buffer);
				nand_flash_WritePage(page, block, NF_mem_data, NF_data_size);
				
				nand_flash_ReadPage(page, block, NF_mem_data, NF_data_size);
				
				sprintf(buffer, "NF DATA: %d", NF_mem_data[0]);
				disp_ShowStr(0, 5, buffer);
							itmr_Delay(1000);
							sprintf(buffer, "NF DATA: %d", NF_mem_data[1]);
				disp_ShowStr(0, 5, buffer);
							itmr_Delay(1000);
							sprintf(buffer, "NF DATA: %d", NF_mem_data[2]);
				disp_ShowStr(0, 5, buffer);
							itmr_Delay(1000);
							sprintf(buffer, "NF DATA: %d", NF_mem_data[3]);
				disp_ShowStr(0, 5, buffer);
							itmr_Delay(1000);
							sprintf(buffer, "NF DATA: %d", NF_mem_data[4]);
				disp_ShowStr(0, 5, buffer);
				itmr_Delay(1000);
							sprintf(buffer, "NF DATA: %d", NF_mem_data[5]);
				disp_ShowStr(0, 5, buffer);
				itmr_Delay(1000);
							sprintf(buffer, "NF DATA: %d", NF_mem_data[6]);
				disp_ShowStr(0, 5, buffer);
				itmr_Delay(1000);
				sprintf(buffer, "NF DATA: %d", NF_mem_data[7]);
				disp_ShowStr(0, 5, buffer);
				itmr_Delay(1000);
				sprintf(buffer, "NF DATA: %d", NF_mem_data[8]);
				disp_ShowStr(0, 5, buffer);
				itmr_Delay(1000);
				sprintf(buffer, "NF DATA: %d", NF_mem_data[9]);
				disp_ShowStr(0, 5, buffer);
				itmr_Delay(1000);
				sprintf(buffer, "NF DATA: %d", NF_mem_data[10]);
				disp_ShowStr(0, 5, buffer);
				itmr_Delay(1000);
			break;
					}
				
				default:
					break;
			}
			break;
					
		case WE_KEYS:		
			switch(data){
				case KEY_ESC:
					console_CloseWnd(0);
					break;				
			}
			break;
		
		case WE_CYCLE:
			//read_id = nand_flash_ReadID();	
			//sprintf(buffer, "ID: %x", read_id);
			//disp_ShowStr(0, 1, buffer);
			//can_TestWork(&write_res, &read_res);
			//itmr_Delay(2000);
		  /*memset(NF_mem_data,0xFF,NF_data_size);
		  read_status = nand_flash_ReadStatus();
			sprintf(buffer, "STATUS: %d", read_status);
			disp_ShowStr(0, 2, buffer);
		  */
		 // sprintf(buffer, "Generated: %d", generated_num);
			//disp_ShowStr(0, 3, buffer);		  
		  	
			
			break;
		case WE_ELEM_ACT:
			switch(Wnd.cur_elem){
				case 4:		
					
					break;
			}
			break;
  }
	
  return true;
}



void wnd_NAND(void)
{  char buffer[32];
	unsigned int read_id;
	console_OpenWnd(&Wnd);	
	 nand_flash_Init();
	/*
	read_id = nand_flash_ReadID();	
	sprintf(buffer, "FLASH ID: %x", read_id);
  disp_ShowStr(0, 1, buffer);
	
					for(i = 0; i < NF_data_size; i++)
				{
					NF_mem_data[i] = i*2;
				}
				generated_num = rand();
			sprintf(buffer, "Generated: %d", generated_num);
			disp_ShowStr(0, 3, buffer);	
				
		  nand_flash_ReadPage(page,block,NF_mem_data,NF_data_size);				
			sprintf(buffer, "NF DATA: %d", NF_mem_data[10]);
			disp_ShowStr(0, 5, buffer);
	*/
	 //memset(NF_data,0xFF,NF_data_size);
	// memset(NF_mem_data,0xFF,NF_data_size);
		
		
}
