#include "MDR32F9Qx_port.h"
#include "MDR32F9Qx_rst_clk.h"
#include "MDR32F9Qx_iwdg.h"

void wdt_Init(void)
{	
	RST_CLK_PCLKcmd(RST_CLK_PCLK_IWDG, ENABLE);
	IWDG_WriteAccessEnable();
	IWDG_SetPrescaler(IWDG_Prescaler_64);
	while (IWDG_GetFlagStatus(IWDG_FLAG_PVU) != 1 );
	IWDG_SetReload(0xFFF);
	IWDG_WriteAccessEnable();
	IWDG_ReloadCounter();	
	IWDG_Enable();
}

void wdt_ReLoad(void)
{
	IWDG_ReloadCounter();
}

void wdt_Test(void)
{
	while(1);
}
