#include "misc.h"

unsigned int PLL_Mul = 0x2;	//   

//   
uidiv_t uidiv(unsigned int dividend, unsigned int divisor)
{
	uidiv_t temp;
	
	temp.q = dividend / divisor;
	temp.r = dividend - divisor * temp.q;

	return temp; 
}

//    
// num -   
// str -  -  
// max_cnt -     
//   -    
unsigned int uint2text(unsigned int val, unsigned char* str, unsigned int max_cnt)
{
	unsigned int cnt = 0;
	unsigned char* bp = str + max_cnt;

	if (!max_cnt)  return 0; 

	if (val) {
		uidiv_t d;
		d.q = val;

		while (d.q) {
			d = uidiv(d.q, 10);
			*(--bp) = (unsigned char)d.r + '0';
			cnt++;

			if (--max_cnt == 0) break;
    	}
  	}
	else {
    	*(--bp) = '0';
    	cnt++;
  	}

  	return cnt;
}

void delay(unsigned int delay)
{
	while(delay--);
}
