#include "misc.h"

unsigned int PLL_Mul = 0x5;	//   

//---------------------------------------------------------------------------------------------
//   (  )
unsigned int CalcSum(void* buf, unsigned int size)
{
	unsigned int sum = 0;
	
	while(size > 1){
		sum += *((unsigned short*)buf)++;	
		size -= sizeof(unsigned short);
	}	
	if(size > 0)
		sum += *(unsigned char*)buf;

	return sum;		
}

//---------------------------------------------------------------------------------------------
//      ( IP-)
unsigned short CalcHeaderCS(void* buf, unsigned int size)
{
	unsigned int cs;
	//    
	cs = CalcSum(buf, size);			

	while(cs >> 16)
		cs = (cs & 0xFFFF) + (cs >> 16);

	return (unsigned short)(~cs);
}
