#ifndef __NAND_FLASH_H__
#define __NAND_FLASH_H__

void nand_flash_Init(void);

unsigned int nand_flash_ReadID(void);
unsigned int nand_flash_ReadStatus(void);

void nand_flash_ReadPage(unsigned short col, unsigned short row, unsigned char* buf, unsigned int buf_size, unsigned char nand_type);
void nand_flash_BlockErase(unsigned short block, unsigned short page, unsigned char nand_type);
void nand_flash_WritePage(unsigned short col, unsigned short row, unsigned char* buf, unsigned int buf_size, unsigned char nand_type);


#endif
