#include <string.h>
#include "itmr.h"
#include "console.h"
#include "wnds.h"
#include "wnds_func.h"
#include "sdcard.h"
#include "disp.h"
#include "spi.h"
#include "button.h"
#include "keyboard.h"

int sprintf( char *, const char *, ...);

static bool EventProc(unsigned int code, unsigned int data);

static TWnd Wnd = { WID_SD_INFO, 0, EventProc, 0 };


static bool EventProc(unsigned int code, unsigned int data)
{ 
  switch (code) {
    case WE_DRAW:
      if (data == 0) {
					
      }
      break;
	
  }

  return false;
			
}
void wnd_sd_info(void)
{ char buffer[32];
		SDCard_TypeDef SDCard;                 // SD card parameters

  console_OpenWnd(&Wnd);
	itmr_Delay(100);
	#ifndef __MT12864J__
					spi_Init();
					#endif	
	
	SDCard = sd_version();
	#ifndef __MT12864J__
						spi_DeInit();
						#endif
	
	sprintf(buffer, "Card version: %d",SDCard.CardType);
		disp_ShowStr(0,0,buffer);
			
	sprintf(buffer,"CSD: %x", (char*)&SDCard.CSD[0],16);
	disp_ShowStr(0,1,buffer);
	
	sprintf(buffer,"CID: %x", (char*)&SDCard.CID[0],16);
	disp_ShowStr(0,2,buffer);
	
	sprintf(buffer,"Max bus clk.: %d MHz", SDCard.CardMaxBusClkFreq);
	disp_ShowStr(0,3,buffer);
	
	sprintf(buffer,"Capacity: %d MB", (SDCard.CardCapacity/1024));
	disp_ShowStr(0,4,buffer);
			
	
}
