#include <string.h>
#include <stdio.h>
#include "itmr.h"
#include "console.h"
#include "wnds.h"
#include "disp.h"
#include "keyboard.h"
#include "button.h"
#include "can.h"
#include "nand_flash.h"
#include "uart.h"
#define NF_data_size NF_PageSize + 64
#define NF_PageSize 2048
#define block 1
#define page  1

//unsigned char NF_data[NF_data_size];
unsigned char NF_mem_data[NF_data_size];
//char read_buf_id[4];
unsigned int i = 0 ;

BEGIN_WE_TABLE(ElemTable)
	DEFINE_WE(WET_BUTTON,   0, 4, 0, "Write Data", 0)
END_WE_TABLE()

static unsigned int ShowTimer;
static bool EventProc(unsigned int code, unsigned int data);

static TWnd Wnd = { WID_NAND, ElemTable, EventProc, 0 };

static bool EventProc(unsigned int code, unsigned int data)
{ char buffer[32];
	unsigned int id[5];
	unsigned int read_id, read_status;
	
		  
	
	switch (code) {
    case WE_DRAW:
      if (data == 0) {
				disp_ShowStr(0, 0, "NAND FLASH");
			sprintf(buffer, "NF DATA: %d", NF_mem_data[0]);
			disp_ShowStr(0, 5, buffer);
			//	disp_ShowStr(0, 1, write_id);
			//	disp_ShowStr(0, 2, "Tx: ");
			//	disp_ShowStr(0, 3, "?????.????? ?????????");
			//	disp_ShowStr(0, 4, "Rx: ");			
      }
      break;   
		case WE_BUTTON:
			switch(data){
				case LEFT:
					console_CloseWnd(0);
					break;
				case SELECT:
					{				
						int i;
					/*nand_flash_BlockErase(block);
				
					read_status = nand_flash_ReadStatus();
					sprintf(buffer, "STATUS: %d", read_status);
					disp_ShowStr(0, 2, buffer);
					itmr_Delay(1000);	
				
				  nand_flash_WritePage(page,block,NF_data,NF_data_size);
				
					read_status = nand_flash_ReadStatus();
					sprintf(buffer, "STATUS: %d", read_status);
					disp_ShowStr(0, 2, buffer);
					itmr_Delay(1000);	
							*/
				//uart_SendBuf((char *)nand_flash_ReadID(), 4);
				
				sprintf(buffer, "%x", nand_flash_ReadID());
				disp_ShowStr(0, 2, buffer);
						
				nand_flash_BlockErase(block);
				
				for(i = 0; i < NF_data_size; i++)
				{
					NF_mem_data[i] = i;
				}
				
				nand_flash_WritePage(page, block, NF_mem_data, NF_data_size);
				
				nand_flash_ReadPage(page, block, NF_mem_data, NF_data_size);
				
				sprintf(buffer, "%x", NF_mem_data[0]);
				disp_ShowStr(0, 2, buffer);
				sprintf(buffer, "%x", NF_mem_data[1]);
				disp_ShowStr(0, 2, buffer);
				sprintf(buffer, "%x", NF_mem_data[2]);
				disp_ShowStr(0, 2, buffer);
				sprintf(buffer, "%x", NF_mem_data[3]);
				disp_ShowStr(0, 2, buffer);
				sprintf(buffer, "%x", NF_mem_data[4]);
				disp_ShowStr(0, 2, buffer);
				sprintf(buffer, "%x", NF_mem_data[5]);
				disp_ShowStr(0, 2, buffer);
				sprintf(buffer, "%x", NF_mem_data[6]);
				disp_ShowStr(0, 2, buffer);
				sprintf(buffer, "%x", NF_mem_data[7]);
				disp_ShowStr(0, 2, buffer);
				
				//uart_SendBuf( NF_mem_data, 20);
				
			break;
					}
				
				// sprintf(buffer, "NF DATA: %d", NF_mem_data[0]);
					//disp_ShowStr(0, 5, buffer);
				//sprintf(buffer, "STATUS: %d", read_status);
					//disp_ShowStr(0, 2, buffer);
				//itmr_Delay(1000);
				/*
				  nand_flash_WritePage(10,10,NF_data);
					read_status = nand_flash_ReadStatus();
					sprintf(buffer, "STATUS: %d", read_status);
					disp_ShowStr(0, 2, buffer);
					itmr_Delay(1000);					
				
					read_status = nand_flash_ReadStatus();
					sprintf(buffer, "STATUS: %d", read_status);
					disp_ShowStr(0, 2, buffer);
					itmr_Delay(1000);
        */  
				//	memset(NF_data,0xFF,NF_data_size);
				default:
					break;
			}
			break;
					
		case WE_KEYS:		
			switch(data){
				case KEY_ESC:
					console_CloseWnd(0);
					break;				
			}
			break;
		
		case WE_CYCLE:
			//read_id = nand_flash_ReadID();	
			//sprintf(buffer, "ID: %x", read_id);
			//disp_ShowStr(0, 1, buffer);
			//can_TestWork(&write_res, &read_res);
			//itmr_Delay(2000);
		  /*memset(NF_mem_data,0xFF,NF_data_size);
		  read_status = nand_flash_ReadStatus();
			sprintf(buffer, "STATUS: %d", read_status);
			disp_ShowStr(0, 2, buffer);
		  
		  sprintf(buffer, "Generated DATA: %d", NF_data[0]);
			disp_ShowStr(0, 3, buffer);		  
		  
		  nand_flash_ReadPage(page,block,NF_mem_data,NF_data_size);				
			sprintf(buffer, "NF DATA: %d", NF_mem_data[0]);
			disp_ShowStr(0, 5, buffer);	
				*/
			break;
		case WE_ELEM_ACT:
			switch(Wnd.cur_elem){
				case 4:		
					
					break;
			}
			break;
  }
	
  return true;
}


void wnd_NAND(void)
{  

	console_OpenWnd(&Wnd);	
	 nand_flash_Init();
	for ( i=0; i< NF_data_size; i++)
			{NF_mem_data[i]=0;}
	
	 //memset(NF_data,0xFF,NF_data_size);
	// memset(NF_mem_data,0xFF,NF_data_size);
		//for ( i=0; i< NF_data_size; i++)
	//		{NF_data[i]=(i+10)*2;}
		//	nand_flash_Reset();
		//NF_data[0] = 11;
		
}
