#include <string.h>
#include "itmr.h"
#include "console.h"
#include "wnds.h"
#include "disp.h"
#include "button.h"
#include "keyboard.h"

static unsigned short CurXPos, CurYPos;

static bool EventProc(unsigned int code, unsigned int data);

static TWnd Wnd = { WID_KEYBOARD, 0, EventProc, 0 };

static bool EventProc(unsigned int code, unsigned int data)
{	
	switch (code) {
    case WE_DRAW:
      if (data == 0) {
				disp_ShowStr(0, 0, " ");
      }
      break;   
		case WE_BUTTON:
			switch(data){
				case LEFT:
					console_CloseWnd(0);
					break;
				default:
					break;
			}
			break;
					
		case WE_KEYS:		
			switch(data){
				case KEY_ESC:
					console_CloseWnd(0);
					break;
				default:
					if(CurYPos >= disp_YSize()) CurYPos = 1;
					else{
						if(CurXPos >= disp_XSize() - 1) {
							CurXPos = 0;
							CurYPos++;
						}
					}							
					disp_ShowChar(CurXPos, CurYPos, (unsigned char)(data & 0xFF));			
					CurXPos++;
					break;
			}
			break;				
  }

  return true;
}

void wnd_Keyboard(void)
{ 
	CurXPos = 0;
	CurYPos = 1;	
  console_OpenWnd(&Wnd);
}
